3

I'm gonna compile Rodinia benchmark on Gem5-gpu simulator, when I make it complains for gcc-4.4 and give me following error:

make gem5-fusion
make -f Makefile.gem5-fusion
make[1]: Entering directory '/home/hodjat91/Desktop/gem5-gpu/benchmarks/rodinia/backprop'
gcc-4.4 -DOUTPUT -O3 -I../../../gem5/util/m5 -I../../libcuda  -I/usr/local/cuda//include -I/home/hodjat91/NVIDIA_GPU_Computing_SDK/C/common/inc/ -L/home/hodjat91/NVIDIA_GPU_Computing_SDK/C/lib -g -c facetrain.c -o facetrain.c_o
make[1]: gcc-4.4: Command not found
../common/common.mk:139: recipe for target 'facetrain.c_o' failed
make[1]: *** [facetrain.c_o] Error 127
make[1]: Leaving directory '/home/hodjat91/Desktop/gem5-gpu/benchmarks/rodinia/backprop'
Makefile:8: recipe for target 'gem5-fusion' failed
make: *** [gem5-fusion] Error 2

I have gcc 5.3 on my system.

Thanks

  • Use Esfeden version, bro!. – MHS Jul 5 '16 at 15:33
4

Getting g++-4.4 / gcc-4.4 : gedit /etc/apt/sources.list

Then add two new lines to the file :

deb [URL] trusty main universe
deb [URL] trusty-updates main universe

My example :

deb http://dk.archive.ubuntu.com/ubuntu/ trusty main universe
deb http://dk.archive.ubuntu.com/ubuntu/ trusty-updates main universe

Run sudo apt-get update, and you can install gcc-4.4 : sudo apt-get install g++-4.4


| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.